Download it now!
Bug 59071 - Feature suggestion - Impress - SLIDESHOW: allow automatic transitions with sub-second accuracy
Summary: Feature suggestion - Impress - SLIDESHOW: allow automatic transitions with su...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: All All
: medium enhancement
Assignee: Cao Cuong Ngo
URL:
Whiteboard: target:4.1.0
Keywords: difficultyInteresting, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2013-01-06 01:09 UTC by JPR
Modified: 2015-12-16 00:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description JPR 2013-01-06 01:09:50 UTC
Hello everyone,

Here is a feature suggestion for Impress. I would be happy to have the possibility of setting display duration with sub-second accuracy (when chosing automatic transitions between slides). For instance, setting automatic slide transitions after 250, 333, 500, 666 or 750 milliseconds, but also 1.25 second, and so on...

This would be really useful with regard to one of the uses I make of Impress, i.e. creating simple tools for the training of visual attention and other cognitive abilities in children.

I'm looking forward to reading from anyone regarding this suggestion!

Thank you for the consideration given to this message! Have a good day, and I wish you a happy new year!

JP R.
Comment 1 A (Andy) 2013-03-23 23:52:10 UTC
it's worth to think about such a proposal
Comment 2 Thorsten Behrens (CIB) 2013-03-25 19:35:08 UTC
Sounds like an easy hack - code in sd/source/ui/animations/CustomAnimationDialog.src needs more decimal digits, and sd/source/ui/animations/CustomAnimationDialog.cxx:1657 etc needs corresponding adjustments. The core stores those times in floating point values already, so no further changes should be necessary there.
Comment 3 Cao Cuong Ngo 2013-03-27 13:02:07 UTC
I think it's actually in sd/source/ui/animations/SlideTransitionPane.src && sd/source/ui/animations/SlideTransitionPane.cxx and the system only support whole seconds now...
Comment 4 Thorsten Behrens (CIB) 2013-03-27 14:14:49 UTC
(In reply to comment #3)
> I think it's actually in sd/source/ui/animations/SlideTransitionPane.src &&
> sd/source/ui/animations/SlideTransitionPane.cxx and the system only support
> whole seconds now...
>
My bad - you're right, this was referring to slide transitions. If we're talking about the time the transition takes, there is SdPage::setTransitionDuration() (from sd/source/core/sdpage2.cxx) already.

For the autotime, this is a slightly more advanced hack then, as it needs changes in 

offapi/com/sun/star/presentation/DrawPage.idl (additional, optional property),

sd/source/ui/unoidl/unopage.cxx (handling of new property),

xmloff/source/draw/animationexport/import.cxx (odf impex),

and the dialog as noted above.
Comment 5 Commit Notification 2013-04-05 11:09:01 UTC
Cao Cuong Ngo committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c82e5d304b56c1dd95d0f3dcafc9a36ce02b5f4

fdo#59071 Slideshow: allow automatic transitions with sub-second



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Thorsten Behrens (CIB) 2013-04-05 12:27:18 UTC
Which makes this fixed - Cao Cuong Ngo, thanks a lot for that feature, you rock!
Comment 7 Jorendc 2013-04-05 18:26:03 UTC
@Cao: great, I can verify this is fixed. Only: when I change the number using the up and down arrow of the box, the slide plays again (same behavior if you change the Speed, ... etc). 
Don't know this is what we want, or it is possible to suppress this (So it doesn't "render" all again if you scroll through the seconds)?

Marking this bug as VERIFIED FIXED thanks to Cao and thorsten
Comment 8 JPR 2013-04-09 01:00:10 UTC
Yes! I've just tested the patch via the daily build for Windows and it works perfectly!

That's exactly what I needed, this is so cool !

Thank you very much Cao Cuong Ngo for making this possible, and thank you to every one who showed interest in this issue and posted on this page.

You guys are great ! :))

I got bad news a few hours ago, and this helps me feel better.

See you next time, if I ever have another idea to make this great office suite better. ;-)

JP R.
Comment 9 Cao Cuong Ngo 2013-04-09 21:31:22 UTC
Hi JPR,

I'm glad to know you enjoy it.
In fact I've done very little, it's Thorsten who got the work done ;)

Regards,
CC Ngo.
Comment 10 Thorsten Behrens (CIB) 2013-04-19 11:06:04 UTC
(In reply to comment #9)
> In fact I've done very little, it's Thorsten who got the work done ;)
> 
Not at all. I was just talking, you were doing it. ;)
Comment 11 Robinson Tryon (qubit) 2015-12-16 00:21:36 UTC Comment hidden (obsolete)